Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

The version of revtex4-1 that ships with Ubuntu 12.04 LTS is buggy. The latest version of revtex requires the latest version of natbib, newer than what comes with Ubuntu. What's the correct way to upgrade?

Revtex ships with an archive revtex4-1-tds.zip, which when written to /usr/share/texmf/ is preferred over the version from texlive-publishers. However, this seems dangerous since now the version of revtex is newer than the rest of texlive. Is there a deb or repository that includes the latest version of revtex and all dependencies?

If such a repository does not exist, how do I upgrade natbib properly as required to use revtex?

If revtex is only used by a single user on one particular project, could I alternatively provide revtex + natbib only for this users or inside the LaTeX source directory?

share|improve this question
    
Which vintage of TeXLive is installed on your Ubuntu system? –  Mico Jan 23 '13 at 18:16
    
If you use the Debian/Ubuntu repositories, the updating is so infrequent that there is little danger of overwriting the manually installed version any time soon. I'd install it in the system tree myself, but if you want to make sure your manually installed version is always preferred, unzip/install it in your local tree (which will be ~/texmf). If you type kpsewhich --var-value TEXMF, you'll see /home/<user>/texmf listed ahead of /usr/share/texmf*, which I assume indicates the searching order. –  jon Jan 23 '13 at 18:18
    
Also see this question. –  jon Jan 23 '13 at 18:20
    
@Mico Ubuntu 12.04 Precise comes with "texlive 2009-15" –  Jan Jan 23 '13 at 20:01
    
You might want to consider upgrading to Ubuntu 12.10 as it comes with TeX Live 2012. –  N.N. Jan 25 '13 at 7:24
add comment

1 Answer

If you want to use Ubuntu packages, the best way to get a recent, tested and compatible TeX environment in Ubuntu 12.04 LTS (Precise) is to upgrade to the TeXlive PPA.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.